org.apache.cassandra.index.sasi.disk

## Enum OnDiskIndexBuilder.Mode

- java.lang.Object
- - java.lang.Enum<OnDiskIndexBuilder.Mode>
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndexBuilder.Mode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OnDiskIndexBuilder.Mode>

Enclosing class:
  OnDiskIndexBuilder

    public static enum OnDiskIndexBuilder.Mode
    extends java.lang.Enum<OnDiskIndexBuilder.Mode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTAINS`
`PREFIX`
`SPARSE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static OnDiskIndexBuilder.Mode` `mode(java.lang.String mode)`
`boolean` `supports(Expression.Op op)`
`static OnDiskIndexBuilder.Mode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OnDiskIndexBuilder.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PREFIX

    public static final OnDiskIndexBuilder.Mode PREFIX

#### CONTAINS

    public static final OnDiskIndexBuilder.Mode CONTAINS

#### SPARSE

    public static final OnDiskIndexBuilder.Mode SPARSE

### Method Detail

#### values

    public static OnDiskIndexBuilder.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OnDiskIndexBuilder.Mode c : OnDiskIndexBuilder.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OnDiskIndexBuilder.Mode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### mode

    public static OnDiskIndexBuilder.Mode mode(java.lang.String mode)

#### supports

    public boolean supports(Expression.Op op)